from PySide6.QtCore import Signal, QObject, QPointF

class ProducerSignals(QObject):
    finished = Signal(bool)
    error = Signal(str)
    # start = pyqtSignal(float)
    # running = pyqtSignal()
    progress = Signal(float)
    progress2  = Signal((str, float, float))

class WriterSignals(QObject):
    error = Signal(str)
    finished = Signal(bool)


class DetectionViewSignals(QObject):
    trackClicked = Signal(int)
    itemsSelected = Signal(list)

class DetectionSceneSignals(QObject):
    itemsSelected = Signal(list)

class DetectionTimelineSignals(QObject):
    windowMoved = Signal()
    manualMove = Signal()

class DetectionSignals(QObject):
    hover = Signal((int, QPointF))
    clicked = Signal((int, QPointF))

class TimelineSignals(QObject):
    changed = Signal(int)

class ControlSignals(QPointF):
    test = Signal(int)